
*****************************************;
* HEALTH CONDITIONS, WAVE 2;
*****************************************;
 
/* Note: exit IW does not ask about: highbp,diabetes,
	psych,arthritis,incontinence */


   if v801 not in(.,0,8,9)  then cancer2=(v801=1);
   if v818 not in(.,0,8,9)  then lung2=(v818=1);
   if v828 not in(.,0,8,9)  then heart2=(v828=1);
   if v848 not in(.,0,8,9)  then stroke2=(v848=1);
   if v878 not in(.,0,8,9)  then fall2=(v878=1 and v884=1);
   if v887 not in(.,0,8,9)  then hipfrc2=(v887=1);
   
    
   if v814 not in(.,9998,9999) then  ycancer2=v814;
   if ycancer2 ne . then  ncancer2=(ycancer2 > 1993);
/* if v813 not in(.,98,99)     then  mcancer2=v813;*/
   if v834 not in(.,0,8,9) then  nheart2=(v834=1 or v843=1);
   if v858 not in(.,0,8,9) then  nstroke2=(v858=1);

   if v801 not in(.,0,8,9)  then dcancer2=(v801=3);
   if v818 not in(.,0,8,9)  then dlung2=(v818=3);
   if v828 not in(.,0,8,9)  then dheart2=(v828=3);
   if v848 not in(.,0,8,9)  then dstroke2=(v848=3);

   
   label	    
       cancer2 = 'doc ever told had cancer, w2'
       lung2 = 'doc ever told had lung dis, w2'
       heart2 = 'doc ever told heart att/dis, w2'
       stroke2 = 'doc ever told had stroke, w2'
       fall2= 'fallen lst 12 mo req trtmnt, w2'
       hipfrc2 = 'ever fractured hip, w2'

              
       ycancer2 = 'Year oq most recent cancer w2'
       mcancer2 = 'Month oq most recent cancer w2'
       ncancer2='new cancer w2'
       nstroke2='new stroke w2'
       nheart2='new heart w2'
       

       dcancer2 = 'disputes w1 cancer'
       dlung2	= 'disputes w1 lung disease'
       dheart2	= 'disputes w1 heart dis/att'
       dstroke2	= 'disputes w1 stroke'
       ;














