*****************************************;
* HEALTH CONDITIONS AND ADL/IADLS, WAVE 3;
*****************************************;
 
/* Note: exit IW does not ask about: highbp,diabetes,
	psych,arthritis,incontinence */

if q1129 not in(.,8,9) then  cancer3=(q1129=1);
if q1146 not in(.,8,9) then  lung3=(q1146=1);
if q1156 not in(.,8,9) then  heart3=(q1156=1);
if q1176 not in(.,8,9) then  stroke3=(q1176=1);
if q1206 not in(.,8,9) then  qall3=(q1206=1 and q1212=1);
if q1215 not in(.,8,9) then  hipqrc3=(q1215=1);


/*
 not in exit interview
if q1134 not in(.,8,9) then  ncancer3=(q1134=1);
*/
    if q1141 not in(.,9998,9999) then  ycancer3=q1141;
    if q1141     in(  9998,9999) then  dycancr3=q1141;
    if q1142 not in(.,98,99) then  mcancer3=q1142;
    if ycancer3 ne . then  ncancer3=(ycancer3 > 1995);    
    
if q1162 not in(.,8,9) then  nheart3=(q1162=1 or q1171=1);
if q1186 not in(.,8,9) then  nstroke3=(q1186=1);
 
if q1129 not in(.,8,9) then  dcancer3=(q1129=3);
if q1146 not in(.,8,9) then  dlung3=(q1146=3);
if q1156 not in(.,8,9) then  dheart3=(q1156=3);
if q1176 not in(.,8,9) then  dstroke3=(q1176=3);


   label	    

       cancer3 = 'doc ever told had cancer, w3'
       lung3 = 'doc ever told had lung dis, w3'
       heart3 = 'doc ever told heart att/dis, w3'
       stroke3 = 'doc ever told had stroke, w3'
       qall3= 'qallen lst 12 mo req trtmnt, w3'
       hipqrc3 = 'ever qractured hip, w3'
       
       ycancer3 = 'Year oq most recent cancer w3'
       dycancr3 = 'DK year most recent cancer w3'
       mcancer3 = 'Month oq most recent cancer w3'
       ncancer3='new cancer w3'
       nstroke3='new stroke w3'
       nheart3='new heart w3'
       
       dcancer3 = 'disputes w2 cancer'
       dlung3	= 'disputes w2 lung disease'
       dheart3	= 'disputes w2 heart dis/att'
       dstroke3	= 'disputes w2 stroke'

       ;

